Skip to main content
GET
/
file
/
{file_id}
/
media
Get File Media
curl --request GET \
  --url https://api.member.dev/file/{file_id}/media \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "expires_at": "2023-11-07T05:31:56Z",
      "mime_type": "<string>",
      "playback_url": "<string>",
      "duration_seconds": 123,
      "variants": {},
      "variants_expires_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "<string>",
    "links": {
      "self": "<string>"
    },
    "meta": {
      "playback": {
        "hls_expires_at": "2023-11-07T05:31:56Z",
        "hls_manifest": "<string>",
        "captions": [
          {
            "language": "<string>",
            "url": "<string>"
          }
        ],
        "duration_seconds": 123,
        "kind": "video"
      }
    },
    "relationships": {}
  }
}

Authorizations

Authorization
string
header
required

Send platform JWTs, contact JWTs, or team API keys as Authorization: Bearer <token>.

Path Parameters

file_id
string
required

Query Parameters

hub_id
string | null

Response

Successful Response

Single-resource JSON:API response for GET /file/{file_id}/media.

data
FileMediaResource · object
required

JSON:API resource object for a media-playback response.